%define beta    beta15

Name:           hddtemp
Version:        0.3
Release:        0.11.%{beta}%{?dist}
Summary:        Hard disk temperature tool

Group:          Applications/System
License:        GPL
URL:            http://www.guzu.net/linux/hddtemp.php
Source0:        http://www.guzu.net/files/%{name}-%{version}-%{beta}.tar.bz2
Source1:        http://www.guzu.net/linux/hddtemp.db
Source2:        %{name}.init
Source3:        %{name}.sysconfig
Source4:        %{name}.pam
Source5:        %{name}.consoleapp
Patch0:         %{name}-db.patch
Patch1:         http://ftp.debian.org/debian/pool/main/h/hddtemp/hddtemp_0.3-beta15-33.diff.gz
Patch2:         %{name}-0.3-beta15-sata-sense.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
Requires:       /sbin/chkconfig
Requires:       %{_bindir}/consolehelper

%description
hddtemp is a tool that gives you the temperature of your hard drive by
reading S.M.A.R.T. information.


%prep
%setup -q -n %{name}-%{version}-%{beta}
cp -p %{SOURCE1} ./hddtemp.db
%patch0 -p0
%patch1 -p1
%patch2 -p1
sed -i -e s/Celius/Celsius/g src/hddtemp.c po/*.po*
sed -i -e 's|/etc/hddtemp.db|/usr/share/misc/hddtemp.db|' doc/hddtemp.8
sed -e 's|__ETCDIR__|%{_sysconfdir}|g' \
    -e 's|__SBINDIR__|%{_sbindir}|g' \
    -e 's|__INITDIR__|%{_initrddir}|g' \
    -e 's|__LOCKDIR__|%{_localstatedir}/lock|g' \
    %{SOURCE2} > hddtemp.init
chmod -x contribs/analyze/*
rm COPYING ; cp -p GPL-2 COPYING


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 644 hddtemp.db $RPM_BUILD_ROOT/usr/share/misc/hddtemp.db
install -Dpm 755 hddtemp.init $RPM_BUILD_ROOT%{_initrddir}/hddtemp
install -Dpm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/hddtemp
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/hddtemp
install -Dpm 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/hddtemp
install -Dpm 644 %{SOURCE5} \
    $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/hddtemp
%find_lang %{name}


%post
/sbin/chkconfig --add hddtemp
if [ $1 -gt 1 ] ; then
    %{_initrddir}/hddtemp try-restart >/dev/null || :
fi

%preun
if [ $1 -eq 0 ] ; then
    %{_initrddir}/hddtemp stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del hddtemp
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO contribs/
%config(noreplace) %{_sysconfdir}/sysconfig/hddtemp
%config(noreplace) %{_sysconfdir}/pam.d/hddtemp
%config(noreplace) %{_sysconfdir}/security/console.apps/hddtemp
%{_initrddir}/hddtemp
%{_bindir}/hddtemp
%{_sbindir}/hddtemp
%config /usr/share/misc/hddtemp.db
%{_mandir}/man8/hddtemp.8*


%changelog
* Tue Jan  9 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.11.beta15
- SATA sense fix (#221100, Jens Axboe).

* Sun Dec 31 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.10.beta15
- Apply patches from Debian containing bunch of hddtemp.db updates and
  guess mode improvements for drives not in the database.

* Wed Aug 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.9.beta15
- Rebuild.

* Wed May  3 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.8.beta15
- 0.3-beta15, drive database 2006-04-26.
- Specfile cleanups.

* Wed Feb  8 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.8.beta14
- Update drive database to 2006-02-07.

* Wed Jan 18 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.7.beta14
- Update drive database to 2006-01-18.
- Init script is not a config file.
- Mark console.perms snippet as noreplace.

* Tue Sep 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.6.beta14
- 0.3-beta14, drive database 2005-09-20.

* Sun Sep 11 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.6.beta13
- Update drive database to 2005-09-11.

* Thu Jun  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.5.beta13
- Update drive database to 2005-06-08.

* Sat May 28 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.4.beta13
- Update drive database to 2005-04-20.
- Don't overwrite possibly customized pam config on upgrade.

* Thu Mar 24 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.3.beta13
- 0.3-beta13, hddtemp.db 2005-03-22.

* Tue Mar 15 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.3.beta12
- Update hddtemp.db to 2005-03-15.

* Sat Jan 22 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.2.beta12
- Update hddtemp.db to 2005-01-17.

* Sat Dec  4 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.1.beta12
- Init script and sysconfig cleanups.
- Build with dependency tracking disabled.
- Update hddtemp.db to 2004-11-30.

* Sat Oct  2 2004 Ville Skyttä <ville.skytta at iki.fi> 0:0.3-0.fdr.0.10.beta12
- Update to 0.3 beta 12 and the latest db.

* Sat Jan  3 2004 Ville Skyttä <ville.skytta at iki.fi> 0:0.3-0.fdr.0.10.beta11
- Update to 0.3 beta 11, patches merged upstream.
- Update db (version 03C).

* Sun Dec 21 2003 Ville Skyttä <ville.skytta at iki.fi> 0:0.3-0.fdr.0.10.beta10
- Use mkstemp() to create the backtrace filename (bug 1112).

* Mon Dec 15 2003 Ville Skyttä <ville.skytta at iki.fi> 0:0.3-0.fdr.0.9.beta10
- Update to 0.3 beta 10.

* Sun Dec  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.9.beta9
- Update to 0.3 beta 9 and db version 03B.
- Move db to %%{_datadir}/misc to follow upstream.

* Sun Nov 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.9.beta8
- Use GUI=no in console.apps/hddtemp to avoid broken pipe messages.

* Thu Oct 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.8.beta8
- Update db (version 039).
- Specfile cleanups.

* Thu Aug 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.7.beta8
- Make daemon bind to 127.0.0.1 by default (bug 550).
- db is %%config again, still in %%{_datadir}/hddtemp (cf. hwdata) (bug 550).
- Init script cleanups (bug 550).
- Use chkconfig instead of LSB install/remove_initd until the script is LSB'd.

* Tue Aug 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.6.beta8
- Update to 0.3 beta 8.
- Move database to %%{_datadir}/hddtemp, it's not a config file.

* Sat Aug  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.5.beta7
- Use pam/consolehelper, grant local users access to hddtemp.
- Update db (version 036).

* Sat Jul 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.4.beta7
- Moved service condrestart to %%post in order to be able to cleanly upgrade
  from previous Fedora releases (bug 382).
- More init script cleanups according to new template.

* Fri Jun 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.3.beta7
- Update db (version 033), forgot it from 0.fdr.0.2.beta7.

* Tue Jun 17 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.2.beta7
- Update to 0.3beta7.
- Use %%{_initrddir} instead of %%{_sysconfdir}/init.d.
- Spec file and init script cleanups.

* Sun Apr 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.2.beta6
- Update db (version 02B).
- Save .spec in UTF-8.

* Fri Apr  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.1.beta6
- Update to 0.3beta6, new db.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.0.1.beta5
- Update to 0.3beta5 and current Fedora guidelines.
- Use LSB initd stuff instead of RH-specific.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.beta3.fedora.1
- First Fedora release.
